Endpoint Protection

  • 1.  Windows Server 2022 requires 14.3 RU3?

    Posted 10-19-2021 10:55 AM
    Is that correct? If you run MS Server 2022, you need to be on 14.3 RU3 at a minimum?


  • 2.  RE: Windows Server 2022 requires 14.3 RU3?

    Broadcom Employee
    Posted 10-19-2021 10:56 AM
    Yes, This is true. Win 11 also needs a minimum of 14.3 RU3.

    ------------------------------
    John Owens
    Strategic Support Engineer | Symantec Endpoint Security Division (SES)
    Broadcom Software
    ------------------------------



  • 3.  RE: Windows Server 2022 requires 14.3 RU3?

    Posted 10-20-2021 09:21 AM
    It seems to work with older version though, just try it


  • 4.  RE: Windows Server 2022 requires 14.3 RU3?

    Posted 10-20-2021 03:28 PM
    Remember, "seems to work" vs "supported if you have problems" may be two different things. 🙂


  • 5.  RE: Windows Server 2022 requires 14.3 RU3?

    Posted 10-24-2021 06:00 PM
    I believe you are correct; MS Server 22 and Windows 11 require at least 14.3 RU3; you can find a lot of information about this here.

    https://techdocs.broadcom.com/content/dam/broadcom/techdocs/symantec-security-software/endpoint-security-and-management/endpoint-protection/generated-pdfs/Release-Notes-SEP-14-3-RU3.pdf